#!/bin/bash

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

set -e

[ "$2" ] && if ! /usr/bin/grep -q cdrom < /proc/ide/"$2"/media
then
	exit 1
fi

if [ -z "`which cdrecord 2>/dev/null`" ]
then
	if [ -z "`which sg_inq 2>/dev/null`" ]
	then
		if [ -z "`which hdparm 2>/dev/null`" ]
		then
			VENDOR="$2"
		else
			while read -r a
			do
				case "$a" in
					"Model="*)
						a="${a#*Model=}"
						a="${a%%, FwRev=*}"
						VENDOR="$a"
					;;
				esac
			done < <(hdparm -i "$1" 2>&1)
		fi
	else
		while read -r k
		do
			v="${k##*:}"
			k="${k%%:*}"
		#	echo "<$k=>$v>"
			case "$k" in
				"Vendor identification"*)
					VENDOR="$v"
				;;
				"Product identification"*)
					ID="$v"
				;;
			esac
		done < <(sg_inq "$1" 2>&1)
	fi
else
	while read -r k
	do
		k="${k%\'}"
		v="${k##*\'}"
		k="${k%%:*}"
	#	echo "<$k=>$v>"
		case "$k" in
			Vendor_info*)
				VENDOR="$v"
			;;
			"Does write CD-R media"*)
				WRITER=r
			;;
			Identifikation*)
				ID="$v"
			;;
		esac
	done < <(cdrecord -prcap dev="$1" 2>&1)
fi
echo "cd${WRITER}/${VENDOR} ${ID}"|/usr/bin/sed -e"s,  *, ,g" -e"s,cd-?*rom ?*,,i" -e 's, *$,,' -e's,/ *,/,'
